This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### / (divide)
Examples |
    int g = 50 / 5;  // Assigns 10 to 'g'
    int h = g / 5;   // Assigns 2 to 'h'
Description | Divides the value of the first parameter by the value of the second parameter. The answer to the equation 20 / 4 is 5. The number 20 is the sum of four occurences of the number 5. As an equation we see that 5 + 5 + 5 + 5 = 20.
Syntax |
    value1 / value2
Parameters |
value1 | int or float
value2 | int or float, but not zero (it is not possible divide by zero)
Related | * (multiply) % (modulo)

Updated on October 26, 2013 08:58:34pm PDT